Package com.sas.rio

# Enum Class MessageCode

java.lang.Object
java.lang.Enum<MessageCode>
com.sas.rio.MessageCode

All Implemented Interfaces:
  `Serializable`, `Comparable<MessageCode>`, `java.lang.constant.Constable`

public enum MessageCode extends Enum<MessageCode>

This class defines the SQLCode enumerations for error messages and exceptions used by the IOM JDBC Driver.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Column_setColumnNameError`
  `Column_setMaxLengthError`
  `General_invalidColumnType`
  `General_invalidColumnValue`
  `General_methodNotSupported`
  `General_noConnectionError`
  `General_unwrapFail`
  `General_unwrapFailInputParameterIsNull`
  `Matrix_colError`
  `Matrix_rowError`
  `Matrix_typeError`
  `MVAAnnotatedResultSet_invalidType`
  `MVAAnnotatedResultSet_noAnnotation`
  `MVAAnnotatedResultSet_noCharacterAnnotation`
  `MVAAnnotatedResultSet_noNumericAnnotation`
  `MVAAnnotatedResultSet_notInitialized`
  `MVAAnnotatedResultSet_notUpdatableResultSetError`
  `MVAAnnotatedResultSet_unwrapFail`
  `MVAConnection_assignLibrefError`
  `MVAConnection_closed`
  `MVAConnection_closeError`
  `MVAConnection_concurrencyTypesWarning`
  `MVAConnection_createStatementError`
  `MVAConnection_error`
  `MVAConnection_executeUndoPolicyError`
  `MVAConnection_noTransactionsError`
  `MVAConnection_prepareStatementError`
  `MVAConnection_rsTypeWarning`
  `MVAConnection_scrollTypesWarning`
  `MVAConnection_setClientInfoNotSupported`
  `MVAConnection_transactionError`
  `MVAConnection_urlMustSpecifyServer`
  `MVADatabaseMetaData_foreignKeysError`
  `MVADatabaseMetaData_getSchemaError`
  `MVADatabaseMetaData_noTableNameError`
  `MVADatabaseMetaData_productVersionError`
  `MVADatabaseMetaData_storedProcsUnsupported`
  `MVADriver_InvalidChunkSize`
  `MVADriver_InvalidProperty`
  `MVAPreparedStatement_getMetaDataError`
  `MVAPreparedStatement_invalidParamIndexError`
  `MVAPreparedStatement_setNullError`
  `MVAPreparedStatement_sqlTypeBigIntUnsupported`
  `MVAPreparedStatement_sqlTypeBINARYUnsupported`
  `MVAPreparedStatement_sqlTypeLONGVARBINARYUnsupported`
  `MVAPreparedStatement_sqlTypeLONGVARCHARUnsupported`
  `MVAPreparedStatement_sqlTypeNumericUnsupported`
  `MVAPreparedStatement_substituteParamError`
  `MVAPreparedStatement_unknownObjectType`
  `MVAResultSet_cannotConvertToBigDecimal`
  `MVAResultSet_cannotConvertToBoolean`
  `MVAResultSet_cannotConvertToByte`
  `MVAResultSet_cannotConvertToDate`
  `MVAResultSet_cannotConvertToFloat`
  `MVAResultSet_cannotConvertToInputStream`
  `MVAResultSet_cannotConvertToInt`
  `MVAResultSet_cannotConvertToLong`
  `MVAResultSet_cannotConvertToNumeric`
  `MVAResultSet_cannotConvertToReader`
  `MVAResultSet_cannotConvertToShort`
  `MVAResultSet_cannotConvertToTime`
  `MVAResultSet_cannotConvertToTimestamp`
  `MVAResultSet_cantPerformForwardOnly`
  `MVAResultSet_concurrencyWarning`
  `MVAResultSet_deleteFailed`
  `MVAResultSet_deleteFailedBadBookmark`
  `MVAResultSet_deleteFailedRecordDeleted`
  `MVAResultSet_deleteFailedRecordLocked`
  `MVAResultSet_deleteFailedServerError`
  `MVAResultSet_dualNotUpdatable`
  `MVAResultSet_encodingError`
  `MVAResultSet_findColumnError`
  `MVAResultSet_getBytesError`
  `MVAResultSet_insertFailedError`
  `MVAResultSet_insertFailedNoDataError`
  `MVAResultSet_insertRowUpdateError`
  `MVAResultSet_insertServerError`
  `MVAResultSet_invalidFetchDirection`
  `MVAResultSet_invalidFetchSize`
  `MVAResultSet_invalidRowPosition`
  `MVAResultSet_invalidRSType`
  `MVAResultSet_lockRecordsFailed`
  `MVAResultSet_lockRecordsFailedError`
  `MVAResultSet_matrixDataError`
  `MVAResultSet_notOnInsertRowError`
  `MVAResultSet_notOpenError`
  `MVAResultSet_notUpdatableResultSetError`
  `MVAResultSet_numberFormatError`
  `MVAResultSet_openDataSetError`
  `MVAResultSet_previousError`
  `MVAResultSet_readOnlyNotUpdatable`
  `MVAResultSet_readRecordsFailed`
  `MVAResultSet_recordBookmarkError`
  `MVAResultSet_recordDeletedError`
  `MVAResultSet_recordLockedError`
  `MVAResultSet_rowDeletedError`
  `MVAResultSet_rowInsertedError`
  `MVAResultSet_rowUpdatedError`
  `MVAResultSet_unknownObjectType`
  `MVAResultSet_updateAsciiStreamFailedError`
  `MVAResultSet_updateBinaryStreamFailedError`
  `MVAResultSet_updateCharStreamFailedError`
  `MVAResultSet_updateFailed`
  `MVAResultSet_updateFailedBadBookmark`
  `MVAResultSet_updateFailedRecordDeleted`
  `MVAResultSet_updateFailedRecordLocked`
  `MVAResultSet_updateFailedServerError`
  `MVAResultSet_updateNullError`
  `MVAResultSetMetaData_noResultSetError`
  `MVAStatement_batchUpdateException`
  `MVAStatement_closed`
  `MVAStatement_CONCURCHANGE`
  `MVAStatement_createTableError`
  `MVAStatement_deleteFailed`
  `MVAStatement_executeError`
  `MVAStatement_fetchDirectionError`
  `MVAStatement_fetchSizeError`
  `MVAStatement_genericQueryError`
  `MVAStatement_getTableFailed`
  `MVAStatement_invalidQuery`
  `MVAStatement_invalidTimeout`
  `MVAStatement_malformedChangeMonthName`
  `MVAStatement_malformedConcatFunction`
  `MVAStatement_malformedDate`
  `MVAStatement_malformedDayNameFunction`
  `MVAStatement_malformedDayOfYearFunction`
  `MVAStatement_malformedEscape`
  `MVAStatement_malformedFunction`
  `MVAStatement_malformedLeftFunction`
  `MVAStatement_malformedOuterJoin`
  `MVAStatement_malformedPowerFunction`
  `MVAStatement_malformedRepeatFunction`
  `MVAStatement_malformedRoundFunction`
  `MVAStatement_malformedSpaceFunction`
  `MVAStatement_malformedStatement`
  `MVAStatement_malformedTime`
  `MVAStatement_malformedTimeStamp`
  `MVAStatement_maxFieldSizeError`
  `MVAStatement_maxRowsError`
  `MVAStatement_noSelectInUpdateError`
  `MVAStatement_nullArrayError`
  `MVAStatement_nullLibrefError`
  `MVAStatement_nullTableNameError`
  `MVAStatement_querySelectError`
  `MVAStatement_rsNotUpdatableWarning`
  `MVAStatement_undefinedFunction`
  `RIOUtil_assignLibrefFail`
  `RIOUtil_connectionFailure`
  `RIOUtil_connectionUnableToEstablish`
  `RIOUtil_corbaFail`
  `RIOUtil_countRecordsFail`
  `RIOUtil_createTableFail`
  `RIOUtil_dataSetOpenFail`
  `RIOUtil_deleteTableFail`
  `RIOUtil_dropAttributesConnectionFailure`
  `RIOUtil_dropAttributesCorbaMemory`
  `RIOUtil_dropAttributesCorbaUnknown`
  `RIOUtil_dropAttributesError`
  `RIOUtil_dropAttributesGeneric`
  `RIOUtil_dropAttributesInterfaceError`
  `RIOUtil_dropAttributesInvalidFlag`
  `RIOUtil_dropAttributesInvalidOpenMode`
  `RIOUtil_dropAttributesRunTimeException`
  `RIOUtil_generalWarning`
  `RIOUtil_getAttributesConnectionFailure`
  `RIOUtil_getAttributesCorbaMemory`
  `RIOUtil_getAttributesCorbaUnknown`
  `RIOUtil_getAttributesError`
  `RIOUtil_getAttributesGeneric`
  `RIOUtil_getAttributesRunTimeException`
  `RIOUtil_getAttributesSearch`
  `RIOUtil_getAttributesSearchFlags`
  `RIOUtil_getColumnDefsFail`
  `RIOUtil_invalidPassword`
  `RIOUtil_openAttributesConnectionFailure`
  `RIOUtil_openAttributesCorbaMemory`
  `RIOUtil_openAttributesCorbaUnknown`
  `RIOUtil_openAttributesError`
  `RIOUtil_openAttributesGeneric`
  `RIOUtil_openAttributesInterfaceError`
  `RIOUtil_openAttributesInvalidOpenMode`
  `RIOUtil_openAttributesNoAttrs`
  `RIOUtil_openAttributesNotSupported`
  `RIOUtil_openAttributesRunTimeException`
  `RIOUtil_releaseLibrefFail`
  `RIOUtil_schemaInvalid`
  `RIOUtil_setAttributesColumnAttr`
  `RIOUtil_setAttributesColumnDup`
  `RIOUtil_setAttributesConnectionFailure`
  `RIOUtil_setAttributesCorbaMemory`
  `RIOUtil_setAttributesCorbaUnknown`
  `RIOUtil_setAttributesError`
  `RIOUtil_setAttributesGeneric`
  `RIOUtil_setAttributesInvalidFlag`
  `RIOUtil_setAttributesInvalidName`
  `RIOUtil_setAttributesInvalidOpenMode`
  `RIOUtil_setAttributesNoColName`
  `RIOUtil_setAttributesNoName`
  `RIOUtil_setAttributesRunTimeException`
  `RIOUtil_setAttributesTableAttr`
  `RIOUtil_setAttributesTableDup`
  `RIOUtil_setAttributesTruncation`
  `RIOUtil_tableNotFound`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static MessageCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MessageCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### General_invalidColumnType

    public static final MessageCode General_invalidColumnType

  - ### General_methodNotSupported

    public static final MessageCode General_methodNotSupported

  - ### General_noConnectionError

    public static final MessageCode General_noConnectionError

  - ### General_invalidColumnValue

    public static final MessageCode General_invalidColumnValue

  - ### Column_setColumnNameError

    public static final MessageCode Column_setColumnNameError

  - ### Column_setMaxLengthError

    public static final MessageCode Column_setMaxLengthError

  - ### MVAConnection_error

    public static final MessageCode MVAConnection_error

  - ### MVAConnection_createStatementError

    public static final MessageCode MVAConnection_createStatementError

  - ### MVAConnection_prepareStatementError

    public static final MessageCode MVAConnection_prepareStatementError

  - ### MVAConnection_transactionError

    public static final MessageCode MVAConnection_transactionError

  - ### MVAConnection_closeError

    public static final MessageCode MVAConnection_closeError

  - ### MVAConnection_noTransactionsError

    public static final MessageCode MVAConnection_noTransactionsError

  - ### MVAConnection_urlMustSpecifyServer

    public static final MessageCode MVAConnection_urlMustSpecifyServer

  - ### MVAConnection_executeUndoPolicyError

    public static final MessageCode MVAConnection_executeUndoPolicyError

  - ### MVAConnection_assignLibrefError

    public static final MessageCode MVAConnection_assignLibrefError

  - ### MVADatabaseMetaData_productVersionError

    public static final MessageCode MVADatabaseMetaData_productVersionError

  - ### MVADatabaseMetaData_storedProcsUnsupported

    public static final MessageCode MVADatabaseMetaData_storedProcsUnsupported

  - ### MVADatabaseMetaData_getSchemaError

    public static final MessageCode MVADatabaseMetaData_getSchemaError

  - ### MVADatabaseMetaData_noTableNameError

    public static final MessageCode MVADatabaseMetaData_noTableNameError

  - ### MVADatabaseMetaData_foreignKeysError

    public static final MessageCode MVADatabaseMetaData_foreignKeysError

  - ### MVAPreparedStatement_invalidParamIndexError

    public static final MessageCode MVAPreparedStatement_invalidParamIndexError

  - ### MVAPreparedStatement_setNullError

    public static final MessageCode MVAPreparedStatement_setNullError

  - ### MVAPreparedStatement_sqlTypeBigIntUnsupported

    public static final MessageCode MVAPreparedStatement_sqlTypeBigIntUnsupported

  - ### MVAPreparedStatement_sqlTypeNumericUnsupported

    public static final MessageCode MVAPreparedStatement_sqlTypeNumericUnsupported

  - ### MVAPreparedStatement_sqlTypeBINARYUnsupported

    public static final MessageCode MVAPreparedStatement_sqlTypeBINARYUnsupported

  - ### MVAPreparedStatement_sqlTypeLONGVARCHARUnsupported

    public static final MessageCode MVAPreparedStatement_sqlTypeLONGVARCHARUnsupported

  - ### MVAPreparedStatement_unknownObjectType

    public static final MessageCode MVAPreparedStatement_unknownObjectType

  - ### MVAPreparedStatement_getMetaDataError

    public static final MessageCode MVAPreparedStatement_getMetaDataError

  - ### MVAPreparedStatement_substituteParamError

    public static final MessageCode MVAPreparedStatement_substituteParamError

  - ### MVAResultSet_invalidRowPosition

    public static final MessageCode MVAResultSet_invalidRowPosition

  - ### MVAResultSet_cannotConvertToBoolean

    public static final MessageCode MVAResultSet_cannotConvertToBoolean

  - ### MVAResultSet_cannotConvertToByte

    public static final MessageCode MVAResultSet_cannotConvertToByte

  - ### MVAResultSet_numberFormatError

    public static final MessageCode MVAResultSet_numberFormatError

  - ### MVAResultSet_cannotConvertToShort

    public static final MessageCode MVAResultSet_cannotConvertToShort

  - ### MVAResultSet_cannotConvertToInt

    public static final MessageCode MVAResultSet_cannotConvertToInt

  - ### MVAResultSet_cannotConvertToLong

    public static final MessageCode MVAResultSet_cannotConvertToLong

  - ### MVAResultSet_cannotConvertToFloat

    public static final MessageCode MVAResultSet_cannotConvertToFloat

  - ### MVAResultSet_cannotConvertToNumeric

    public static final MessageCode MVAResultSet_cannotConvertToNumeric

  - ### MVAResultSet_getBytesError

    public static final MessageCode MVAResultSet_getBytesError

  - ### MVAResultSet_cannotConvertToDate

    public static final MessageCode MVAResultSet_cannotConvertToDate

  - ### MVAResultSet_cannotConvertToTime

    public static final MessageCode MVAResultSet_cannotConvertToTime

  - ### MVAResultSet_cannotConvertToTimestamp

    public static final MessageCode MVAResultSet_cannotConvertToTimestamp

  - ### MVAResultSet_cannotConvertToInputStream

    public static final MessageCode MVAResultSet_cannotConvertToInputStream

  - ### MVAResultSet_findColumnError

    public static final MessageCode MVAResultSet_findColumnError

  - ### MVAResultSet_cannotConvertToReader

    public static final MessageCode MVAResultSet_cannotConvertToReader

  - ### MVAResultSet_previousError

    public static final MessageCode MVAResultSet_previousError

  - ### MVAResultSet_readRecordsFailed

    public static final MessageCode MVAResultSet_readRecordsFailed

  - ### MVAResultSet_invalidFetchDirection

    public static final MessageCode MVAResultSet_invalidFetchDirection

  - ### MVAResultSet_invalidFetchSize

    public static final MessageCode MVAResultSet_invalidFetchSize

  - ### MVAResultSet_rowUpdatedError

    public static final MessageCode MVAResultSet_rowUpdatedError

  - ### MVAResultSet_rowInsertedError

    public static final MessageCode MVAResultSet_rowInsertedError

  - ### MVAResultSet_rowDeletedError

    public static final MessageCode MVAResultSet_rowDeletedError

  - ### MVAResultSet_notUpdatableResultSetError

    public static final MessageCode MVAResultSet_notUpdatableResultSetError

  - ### MVAResultSet_cannotConvertToBigDecimal

    public static final MessageCode MVAResultSet_cannotConvertToBigDecimal

  - ### MVAResultSet_updateAsciiStreamFailedError

    public static final MessageCode MVAResultSet_updateAsciiStreamFailedError

  - ### MVAResultSet_updateBinaryStreamFailedError

    public static final MessageCode MVAResultSet_updateBinaryStreamFailedError

  - ### MVAResultSet_updateCharStreamFailedError

    public static final MessageCode MVAResultSet_updateCharStreamFailedError

  - ### MVAResultSet_unknownObjectType

    public static final MessageCode MVAResultSet_unknownObjectType

  - ### MVAResultSet_recordLockedError

    public static final MessageCode MVAResultSet_recordLockedError

  - ### MVAResultSet_recordBookmarkError

    public static final MessageCode MVAResultSet_recordBookmarkError

  - ### MVAResultSet_recordDeletedError

    public static final MessageCode MVAResultSet_recordDeletedError

  - ### MVAResultSet_insertServerError

    public static final MessageCode MVAResultSet_insertServerError

  - ### MVAResultSet_insertFailedError

    public static final MessageCode MVAResultSet_insertFailedError

  - ### MVAResultSet_lockRecordsFailedError

    public static final MessageCode MVAResultSet_lockRecordsFailedError

  - ### MVAResultSet_updateFailedRecordLocked

    public static final MessageCode MVAResultSet_updateFailedRecordLocked

  - ### MVAResultSet_updateFailedBadBookmark

    public static final MessageCode MVAResultSet_updateFailedBadBookmark

  - ### MVAResultSet_updateFailedRecordDeleted

    public static final MessageCode MVAResultSet_updateFailedRecordDeleted

  - ### MVAResultSet_updateFailedServerError

    public static final MessageCode MVAResultSet_updateFailedServerError

  - ### MVAResultSet_updateFailed

    public static final MessageCode MVAResultSet_updateFailed

  - ### MVAResultSet_lockRecordsFailed

    public static final MessageCode MVAResultSet_lockRecordsFailed

  - ### MVAResultSet_deleteFailedRecordLocked

    public static final MessageCode MVAResultSet_deleteFailedRecordLocked

  - ### MVAResultSet_deleteFailedBadBookmark

    public static final MessageCode MVAResultSet_deleteFailedBadBookmark

  - ### MVAResultSet_deleteFailedRecordDeleted

    public static final MessageCode MVAResultSet_deleteFailedRecordDeleted

  - ### MVAResultSet_deleteFailedServerError

    public static final MessageCode MVAResultSet_deleteFailedServerError

  - ### MVAResultSet_deleteFailed

    public static final MessageCode MVAResultSet_deleteFailed

  - ### MVAResultSet_openDataSetError

    public static final MessageCode MVAResultSet_openDataSetError

  - ### MVAResultSetMetaData_noResultSetError

    public static final MessageCode MVAResultSetMetaData_noResultSetError

  - ### MVAStatement_querySelectError

    public static final MessageCode MVAStatement_querySelectError

  - ### MVAStatement_genericQueryError

    public static final MessageCode MVAStatement_genericQueryError

  - ### MVAStatement_noSelectInUpdateError

    public static final MessageCode MVAStatement_noSelectInUpdateError

  - ### MVAStatement_maxFieldSizeError

    public static final MessageCode MVAStatement_maxFieldSizeError

  - ### MVAStatement_maxRowsError

    public static final MessageCode MVAStatement_maxRowsError

  - ### MVAStatement_executeError

    public static final MessageCode MVAStatement_executeError

  - ### MVAStatement_fetchDirectionError

    public static final MessageCode MVAStatement_fetchDirectionError

  - ### MVAStatement_fetchSizeError

    public static final MessageCode MVAStatement_fetchSizeError

  - ### MVAStatement_batchUpdateException

    public static final MessageCode MVAStatement_batchUpdateException

  - ### MVAStatement_nullLibrefError

    public static final MessageCode MVAStatement_nullLibrefError

  - ### MVAStatement_nullTableNameError

    public static final MessageCode MVAStatement_nullTableNameError

  - ### MVAStatement_nullArrayError

    public static final MessageCode MVAStatement_nullArrayError

  - ### MVAStatement_createTableError

    public static final MessageCode MVAStatement_createTableError

  - ### MVAStatement_deleteFailed

    public static final MessageCode MVAStatement_deleteFailed

  - ### MVAStatement_malformedStatement

    public static final MessageCode MVAStatement_malformedStatement

  - ### MVAStatement_malformedTime

    public static final MessageCode MVAStatement_malformedTime

  - ### MVAStatement_malformedDate

    public static final MessageCode MVAStatement_malformedDate

  - ### MVAStatement_malformedTimeStamp

    public static final MessageCode MVAStatement_malformedTimeStamp

  - ### MVAStatement_malformedOuterJoin

    public static final MessageCode MVAStatement_malformedOuterJoin

  - ### MVAStatement_malformedEscape

    public static final MessageCode MVAStatement_malformedEscape

  - ### MVAStatement_malformedFunction

    public static final MessageCode MVAStatement_malformedFunction

  - ### MVAStatement_undefinedFunction

    public static final MessageCode MVAStatement_undefinedFunction

  - ### MVAStatement_malformedConcatFunction

    public static final MessageCode MVAStatement_malformedConcatFunction

  - ### MVAStatement_malformedLeftFunction

    public static final MessageCode MVAStatement_malformedLeftFunction

  - ### MVAStatement_malformedRepeatFunction

    public static final MessageCode MVAStatement_malformedRepeatFunction

  - ### MVAStatement_malformedSpaceFunction

    public static final MessageCode MVAStatement_malformedSpaceFunction

  - ### MVAStatement_malformedPowerFunction

    public static final MessageCode MVAStatement_malformedPowerFunction

  - ### MVAStatement_malformedDayNameFunction

    public static final MessageCode MVAStatement_malformedDayNameFunction

  - ### MVAStatement_malformedDayOfYearFunction

    public static final MessageCode MVAStatement_malformedDayOfYearFunction

  - ### MVAStatement_malformedChangeMonthName

    public static final MessageCode MVAStatement_malformedChangeMonthName

  - ### MVAStatement_malformedRoundFunction

    public static final MessageCode MVAStatement_malformedRoundFunction

  - ### MVAResultSet_updateNullError

    public static final MessageCode MVAResultSet_updateNullError

  - ### MVAConnection_scrollTypesWarning

    public static final MessageCode MVAConnection_scrollTypesWarning

  - ### MVAConnection_concurrencyTypesWarning

    public static final MessageCode MVAConnection_concurrencyTypesWarning

  - ### MVAConnection_rsTypeWarning

    public static final MessageCode MVAConnection_rsTypeWarning

  - ### MVAResultSet_concurrencyWarning

    public static final MessageCode MVAResultSet_concurrencyWarning

  - ### MVAPreparedStatement_sqlTypeLONGVARBINARYUnsupported

    public static final MessageCode MVAPreparedStatement_sqlTypeLONGVARBINARYUnsupported

  - ### MVAResultSet_invalidRSType

    public static final MessageCode MVAResultSet_invalidRSType

  - ### MVAResultSet_notOnInsertRowError

    public static final MessageCode MVAResultSet_notOnInsertRowError

  - ### MVAStatement_rsNotUpdatableWarning

    public static final MessageCode MVAStatement_rsNotUpdatableWarning

  - ### MVAResultSet_insertRowUpdateError

    public static final MessageCode MVAResultSet_insertRowUpdateError

  - ### MVAResultSet_cantPerformForwardOnly

    public static final MessageCode MVAResultSet_cantPerformForwardOnly

  - ### MVAResultSet_notOpenError

    public static final MessageCode MVAResultSet_notOpenError

  - ### MVAResultSet_insertFailedNoDataError

    public static final MessageCode MVAResultSet_insertFailedNoDataError

  - ### MVADriver_InvalidProperty

    public static final MessageCode MVADriver_InvalidProperty

  - ### MVAStatement_CONCURCHANGE

    public static final MessageCode MVAStatement_CONCURCHANGE

  - ### MVAResultSet_encodingError

    public static final MessageCode MVAResultSet_encodingError

  - ### Matrix_rowError

    public static final MessageCode Matrix_rowError

  - ### Matrix_colError

    public static final MessageCode Matrix_colError

  - ### Matrix_typeError

    public static final MessageCode Matrix_typeError

  - ### MVAResultSet_matrixDataError

    public static final MessageCode MVAResultSet_matrixDataError

  - ### RIOUtil_schemaInvalid

    public static final MessageCode RIOUtil_schemaInvalid

  - ### RIOUtil_tableNotFound

    public static final MessageCode RIOUtil_tableNotFound

  - ### RIOUtil_invalidPassword

    public static final MessageCode RIOUtil_invalidPassword

  - ### RIOUtil_dataSetOpenFail

    public static final MessageCode RIOUtil_dataSetOpenFail

  - ### RIOUtil_connectionFailure

    public static final MessageCode RIOUtil_connectionFailure

  - ### RIOUtil_deleteTableFail

    public static final MessageCode RIOUtil_deleteTableFail

  - ### RIOUtil_createTableFail

    public static final MessageCode RIOUtil_createTableFail

  - ### MVAStatement_getTableFailed

    public static final MessageCode MVAStatement_getTableFailed

  - ### RIOUtil_releaseLibrefFail

    public static final MessageCode RIOUtil_releaseLibrefFail

  - ### RIOUtil_countRecordsFail

    public static final MessageCode RIOUtil_countRecordsFail

  - ### RIOUtil_generalWarning

    public static final MessageCode RIOUtil_generalWarning

  - ### RIOUtil_connectionUnableToEstablish

    public static final MessageCode RIOUtil_connectionUnableToEstablish

  - ### RIOUtil_getColumnDefsFail

    public static final MessageCode RIOUtil_getColumnDefsFail

  - ### RIOUtil_corbaFail

    public static final MessageCode RIOUtil_corbaFail

  - ### RIOUtil_assignLibrefFail

    public static final MessageCode RIOUtil_assignLibrefFail

  - ### MVAStatement_closed

    public static final MessageCode MVAStatement_closed

  - ### MVAStatement_invalidTimeout

    public static final MessageCode MVAStatement_invalidTimeout

  - ### MVAStatement_invalidQuery

    public static final MessageCode MVAStatement_invalidQuery

  - ### MVAConnection_closed

    public static final MessageCode MVAConnection_closed

  - ### MVAConnection_setClientInfoNotSupported

    public static final MessageCode MVAConnection_setClientInfoNotSupported

  - ### MVAResultSet_dualNotUpdatable

    public static final MessageCode MVAResultSet_dualNotUpdatable

  - ### General_unwrapFail

    public static final MessageCode General_unwrapFail

  - ### General_unwrapFailInputParameterIsNull

    public static final MessageCode General_unwrapFailInputParameterIsNull

  - ### MVAResultSet_readOnlyNotUpdatable

    public static final MessageCode MVAResultSet_readOnlyNotUpdatable

  - ### MVAAnnotatedResultSet_notInitialized

    public static final MessageCode MVAAnnotatedResultSet_notInitialized

  - ### MVAAnnotatedResultSet_noCharacterAnnotation

    public static final MessageCode MVAAnnotatedResultSet_noCharacterAnnotation

  - ### MVAAnnotatedResultSet_noNumericAnnotation

    public static final MessageCode MVAAnnotatedResultSet_noNumericAnnotation

  - ### RIOUtil_getAttributesSearchFlags

    public static final MessageCode RIOUtil_getAttributesSearchFlags

  - ### RIOUtil_getAttributesSearch

    public static final MessageCode RIOUtil_getAttributesSearch

  - ### RIOUtil_getAttributesGeneric

    public static final MessageCode RIOUtil_getAttributesGeneric

  - ### RIOUtil_getAttributesConnectionFailure

    public static final MessageCode RIOUtil_getAttributesConnectionFailure

  - ### RIOUtil_getAttributesCorbaUnknown

    public static final MessageCode RIOUtil_getAttributesCorbaUnknown

  - ### RIOUtil_getAttributesCorbaMemory

    public static final MessageCode RIOUtil_getAttributesCorbaMemory

  - ### RIOUtil_getAttributesRunTimeException

    public static final MessageCode RIOUtil_getAttributesRunTimeException

  - ### RIOUtil_getAttributesError

    public static final MessageCode RIOUtil_getAttributesError

  - ### RIOUtil_setAttributesGeneric

    public static final MessageCode RIOUtil_setAttributesGeneric

  - ### RIOUtil_setAttributesConnectionFailure

    public static final MessageCode RIOUtil_setAttributesConnectionFailure

  - ### RIOUtil_setAttributesCorbaUnknown

    public static final MessageCode RIOUtil_setAttributesCorbaUnknown

  - ### RIOUtil_setAttributesCorbaMemory

    public static final MessageCode RIOUtil_setAttributesCorbaMemory

  - ### RIOUtil_setAttributesRunTimeException

    public static final MessageCode RIOUtil_setAttributesRunTimeException

  - ### RIOUtil_setAttributesError

    public static final MessageCode RIOUtil_setAttributesError

  - ### RIOUtil_setAttributesInvalidName

    public static final MessageCode RIOUtil_setAttributesInvalidName

  - ### RIOUtil_setAttributesTableAttr

    public static final MessageCode RIOUtil_setAttributesTableAttr

  - ### RIOUtil_setAttributesColumnAttr

    public static final MessageCode RIOUtil_setAttributesColumnAttr

  - ### RIOUtil_setAttributesColumnDup

    public static final MessageCode RIOUtil_setAttributesColumnDup

  - ### RIOUtil_setAttributesInvalidOpenMode

    public static final MessageCode RIOUtil_setAttributesInvalidOpenMode

  - ### RIOUtil_setAttributesNoColName

    public static final MessageCode RIOUtil_setAttributesNoColName

  - ### RIOUtil_setAttributesTruncation

    public static final MessageCode RIOUtil_setAttributesTruncation

  - ### RIOUtil_setAttributesTableDup

    public static final MessageCode RIOUtil_setAttributesTableDup

  - ### RIOUtil_setAttributesInvalidFlag

    public static final MessageCode RIOUtil_setAttributesInvalidFlag

  - ### RIOUtil_setAttributesNoName

    public static final MessageCode RIOUtil_setAttributesNoName

  - ### RIOUtil_dropAttributesInvalidOpenMode

    public static final MessageCode RIOUtil_dropAttributesInvalidOpenMode

  - ### RIOUtil_dropAttributesInvalidFlag

    public static final MessageCode RIOUtil_dropAttributesInvalidFlag

  - ### RIOUtil_dropAttributesInterfaceError

    public static final MessageCode RIOUtil_dropAttributesInterfaceError

  - ### RIOUtil_dropAttributesGeneric

    public static final MessageCode RIOUtil_dropAttributesGeneric

  - ### RIOUtil_dropAttributesConnectionFailure

    public static final MessageCode RIOUtil_dropAttributesConnectionFailure

  - ### RIOUtil_dropAttributesCorbaUnknown

    public static final MessageCode RIOUtil_dropAttributesCorbaUnknown

  - ### RIOUtil_dropAttributesCorbaMemory

    public static final MessageCode RIOUtil_dropAttributesCorbaMemory

  - ### RIOUtil_dropAttributesRunTimeException

    public static final MessageCode RIOUtil_dropAttributesRunTimeException

  - ### RIOUtil_dropAttributesError

    public static final MessageCode RIOUtil_dropAttributesError

  - ### RIOUtil_openAttributesNotSupported

    public static final MessageCode RIOUtil_openAttributesNotSupported

  - ### RIOUtil_openAttributesNoAttrs

    public static final MessageCode RIOUtil_openAttributesNoAttrs

  - ### RIOUtil_openAttributesInvalidOpenMode

    public static final MessageCode RIOUtil_openAttributesInvalidOpenMode

  - ### RIOUtil_openAttributesInterfaceError

    public static final MessageCode RIOUtil_openAttributesInterfaceError

  - ### RIOUtil_openAttributesGeneric

    public static final MessageCode RIOUtil_openAttributesGeneric

  - ### RIOUtil_openAttributesConnectionFailure

    public static final MessageCode RIOUtil_openAttributesConnectionFailure

  - ### RIOUtil_openAttributesCorbaUnknown

    public static final MessageCode RIOUtil_openAttributesCorbaUnknown

  - ### RIOUtil_openAttributesCorbaMemory

    public static final MessageCode RIOUtil_openAttributesCorbaMemory

  - ### RIOUtil_openAttributesRunTimeException

    public static final MessageCode RIOUtil_openAttributesRunTimeException

  - ### RIOUtil_openAttributesError

    public static final MessageCode RIOUtil_openAttributesError

  - ### MVAAnnotatedResultSet_unwrapFail

    public static final MessageCode MVAAnnotatedResultSet_unwrapFail

  - ### MVAAnnotatedResultSet_invalidType

    public static final MessageCode MVAAnnotatedResultSet_invalidType

  - ### MVAAnnotatedResultSet_noAnnotation

    public static final MessageCode MVAAnnotatedResultSet_noAnnotation

  - ### MVAAnnotatedResultSet_notUpdatableResultSetError

    public static final MessageCode MVAAnnotatedResultSet_notUpdatableResultSetError

  - ### MVADriver_InvalidChunkSize

    public static final MessageCode MVADriver_InvalidChunkSize

- ## Method Details

  - ### values

    public static MessageCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MessageCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<MessageCode>`